Jak na nefunkční doplňky v prohlížeči Firefox 3.0

Diskuze čtenářů k článku

Hoween  |  30. 06. 2008 11:56  | 

To, že rozšíření není kompatibilní s aktuální verzí FF má nějaký důvod. Obvykle ten, že autor netestoval rozšíření v novém FF a tudíž nikdo není schopný zaručit funkčnost a stabilitu tohoto rozšíření. Instalace nekompatibilního rozšíření může vést k poškození celého profilu FF. Proto tam kontrola kompatibility je.
Ještě že ale máme pana Čížka, který všem milostivě poradí, jak to vypnout. Můžeme se tak těšit na uživatele, kteří si díky jeho skvělé radě dojebou Firefox a pak budou zjišťovat, jak z toho ven.
Pane Čížku, děkujeme, ale s podobnými amatérismy opravdu raději vypadněte

Souhlasím  |  Nesouhlasím  |  Odpovědět
sioga  |  30. 06. 2008 12:19  | 

kdo rozhoduje kdo je amater a kdo ne ?

Souhlasím  |  Nesouhlasím  |  Odpovědět
amok  |  30. 06. 2008 12:24  | 

Každý, kdo trochu přemýšlí, tak si před podobnou akcí zálohuje, čtenáři serveru by snad neměli být úplně mimo. Pokud něco dojebe, obnoví zálohu a jede dál. Nevím, kde je problém. Například při testování "snášenlivosti" jednotlivých pluginů v Mirandě to tak dělám běžně...

Souhlasím  |  Nesouhlasím  |  Odpovědět
robertchutney  |  30. 06. 2008 22:25  | 

Zalohovat co?Cely HD? 750 GB se zalohuje tezko!!!

Souhlasím  |  Nesouhlasím  |  Odpovědět
avatar
redaktor Živě.cz | 30. 06. 2008 12:25 | 

Pokud jste četl celý článek, jistě jste narazil na upozornění, že se jedná o kličku, která může způsobit problémy a doporučuji, aby byli všichni opatrní - při nadprůměrné inteligenci našich čtenářů tedy plně věřím tomu, že si uvědomují význam těchto slov.
Na druhou stranu, v drtivě většině případů budou doplňky fungovat bez problémů - ostatně vyzkoušel jsem jich desítky a ani s jedním jsem neměl problém.
Bezpečnostní nekompatibilita a skutečná nekompatibilita na úrovni API jsou totiž dvě různé věci a jako autor několika doplňků jsem sám nastavoval maxVersion na nízké hodnoty - jednoduše proto, jelikož jsem netušil, zdali Mozilla v nové verzi nepřekope extensions API. Nic takového se ale ve FF 3.0 nestalo.

Souhlasím  |  Nesouhlasím  |  Odpovědět
Hoween  |  30. 06. 2008 12:34  | 

Nadprůměrná inteligence vašich čtenářů? Nežijte v deziluzi, nadprůměrná inteligence se vyskytuje na jiných serverech, nikoli na masovém bulvárním ezinu, jako je živě.
Doporučuji registraci na forum.czilla.cz a hned můžete začít lidem pomáhat, mimo jiné i s problémy, které takovéto zásahy způsobují.

Souhlasím  |  Nesouhlasím  |  Odpovědět
Miroslav Šilhavý  |  30. 06. 2008 12:40  | 

Howeene,
Vy co příspěvek, to perla.
Odpusťte panu Čížkovi, že i Vás zahrnul do nadprůměrně inteligentnich lidí. Pointa celého je v tom, že v článku je velmi výslovně napsáno, proč to dělat anebo nedělat. Článek dávál lidem možnost a ne povinnost.
Pokud by byl takový problém s kompatibilitami a takovéto hacky proti srsti vývojovému týmu, lze vždycky zavést podepisování rozšíření - a tím takovéto úpravy znesnadnit. Ale očividně autoři v tom nespatřují veliké riziko.

Souhlasím  |  Nesouhlasím  |  Odpovědět
kozec  |  30. 06. 2008 14:17  | 

> Pokud by byl takový problém s kompatibilitami a takovéto hacky proti srsti vývojovému týmu, lze vždycky zavést podepisování rozšíření - a tím takovéto úpravy znesnadnit.
V OSS? Neblaznite, to by bolo obidene este pred relase candidatom

Souhlasím  |  Nesouhlasím  |  Odpovědět
trhnisi  |  30. 06. 2008 13:12  | 

Zavři hubu. To, že si přepíšu podporovanou verzi u rozšíření, U KTERÝCH JE AUTOR TAK NESCHOPNEJ, ŽE IGNORUJE VYDÁNÍ NOVÝ VERZE FIREFOXU, přičemž rozšíření funguje bez problémů, je naprostá realita. A dělám to tak dlouho, a budu to dělat. Ať si magoři jako ty řvou jak chtějí...

Souhlasím  |  Nesouhlasím  |  Odpovědět
kozec  |  30. 06. 2008 14:18  | 

Nj, mal sa ti ten autor na to rozsirenie vyflaknut uz od zaciatku. Vies kolko problemov by si tym usetril?

Souhlasím  |  Nesouhlasím  |  Odpovědět
izak___  |  30. 06. 2008 16:22  | 

No jak se to vezme, na testovani se to muze hodit, profil to zdrbat nemuze, ale nemusi jiz nabehnout FF, coz lze jednoduse zmenit smazanim onoho modulu, ktery je v adr. s podivnym cislem
Samozrejme to muze zpusobovat pady tohoto prohlizece, takze bych to taktez nedoporucoval.

Souhlasím  |  Nesouhlasím  |  Odpovědět
oooooooooo  |  30. 06. 2008 12:24  | 

Ano známe Nightly TESTER Tools

Souhlasím  |  Nesouhlasím  |  Odpovědět
avatar
30. 06. 2008 12:41 | 

Nightly tester tools je asi najvhodnejší spôsob ako na nekompatibilne rozšírenia. Nedoporučujem autorove rady lebo sa môže stať že si jednoducho a rýchlo znefunkčníte firefox.

Souhlasím  |  Nesouhlasím  |  Odpovědět
MuadDib  |  30. 06. 2008 14:04  | 

plne súhlasím, ja som mal niekoľko addonov stačilo mi doinštalovať addon Nightly tester tools, a po aktivovaní sa spustili všetky nekompatibilné addony - bez úpravy samotných balíkov alebo zápisu v registroch.
minimálne to mohlo byť spomenuté ako 3.tia možnosť

Souhlasím  |  Nesouhlasím  |  Odpovědět
avatar
30. 06. 2008 16:08 | 

Ja bych jeste zkousel precijenom pohledat na internetu.. Vsechny addony co pouzivam jsem nakonec nasel v beta verzich na strankach programatora nebo jinde..

Souhlasím  |  Nesouhlasím  |  Odpovědět
VfB  |  30. 06. 2008 18:18  | 

já osobně raději budu riskovat poškození FF (vždyť je to normální program, který jde odinstalovat nebo přeintalovat, ne jako konkurenční IE), protože FF bez pluginů je více než poloviční, i promprosté browsení potřebuji minimálně českou kontrolu pravopisu a je většina pluginů jde prostým přepsáním hodnoty v xpi opravdu zprovoznit, tak proč využívat FF jen na 20%

Souhlasím  |  Nesouhlasím  |  Odpovědět
Trashman  |  30. 06. 2008 20:06  | 

líbí ten obrázek s textem "Tento doplněj je pouze pro starší verze Firefoxu". Jak někdo může udělat takhle viditelnou chybu?

Souhlasím  |  Nesouhlasím  |  Odpovědět
Lukas1000  |  30. 06. 2008 21:41  | 

Pro vsechny co se snazi bat jakoze fer ........ v clanku popsany zpusob je opravud naprosto nevhodny pro prechod z FF2 na FF3. Pokud neni uzivatel vice nez nadprumerny tak muze dojit k problemu........
Je to docela slozite, ale ja osobne nedoporucuji ani jeden z popsanych zpusobu uvedenych autorem clanku.

Souhlasím  |  Nesouhlasím  |  Odpovědět
fatman  |  30. 06. 2008 22:31  | 

Proč? Zálohuju profil, vypnu kontrolu kompatibility, spustím. Buď to funguje nebo spustím Fx v safe mode zapnu kontrolu kompatibility a můžu to event. zkoušet po jednom.

Souhlasím  |  Nesouhlasím  |  Odpovědět
Lukas1000  |  01. 07. 2008 17:23  | 

Presne jak pises .... ale pro vetsinu lidi je to nadlidsky ukol. Ti (mi) kdo vime jak na to, to vime, ale nekdo kdo s FF moc nedela, krome surfovani, muze vic zkazit nez vylepsit.

Souhlasím  |  Nesouhlasím  |  Odpovědět
shadowboy  |  30. 06. 2008 22:54  | 

nechcem robit reklamu ale chlapci z jedneho slovenskeho serveru urobili online on demand konvertora rozsireni pre firefox 3, odskusane, spolahlivo pouzivane:
http://www.dsl.sk/update_xpi.php

Souhlasím  |  Nesouhlasím  |  Odpovědět
betmenko  |  01. 07. 2008 07:25  | 

noooo.. pokracujte v tejto diskusii... zatial sa dobre bavim
btw: myslim ze kazdy kto chce tak to skusi a v najhorsom si zhodi FF... a kto nechce ten do toho nepojde

Souhlasím  |  Nesouhlasím  |  Odpovědět
Honza  |  01. 07. 2008 07:43  | 

Já jsem náhodou za článek vděčný, mrzelo mě, že mi nechodí můj oblíbený plugin Sun Cult.
Ovšem nepovažuji za šťastnou druhou půlku článku, OBECNĚ bych kontrolu kompatibility ve FF nevypínal, přijde mi to bezpečnější (z principu!) nenavykat uživatle na generální vypínání kontrol.

Souhlasím  |  Nesouhlasím  |  Odpovědět
Zoroo  |  02. 07. 2008 09:53  | 

Mam iste problemy s doplnkami vo firefoxe 3. Rad by som si stiahol nejaku temu alebo iny doplnok ale vzdy ked doplnok doinstalujem tak sa mi vyhodi chyba :
Firefox nemohol nainštalovať súbor
https://addons.mozilla.org/sk/firefox/downloads/file/30450/abstract_zune-3.0.1-fx.jar
kvôli chybe: Neočakávaná chyba inštalácie
Záznam s podrobnosťami nájdete v Konzole JavaScriptu.
-203
Tak vas ziadam o radu.

Souhlasím  |  Nesouhlasím  |  Odpovědět
Zasílat názory e-mailem: Zasílat názory Můj názor
Aktuální číslo časopisu Computer

Megatest 20 procesorů

Srovnání 15 True Wireless sluchátek

Vyplatí se tisknout fotografie doma?

Vybíráme nejlepší základní desky